"""
__author__ = 'xumingming'
"""
from django.core.management import BaseCommand
from search.utils.service import *


class Command(BaseCommand):
    def handle(self, *args, **options):
        filter_list = {}
        filter_list.update(dict(doctor_filter={'doctor_id': 100020}))
        filter_list.update(dict(doctors_filter={'doctor_ids': [100020, 100021]}))
        filter_list.update(dict(service_filter={'service_ids': [4667986, 4667973, 4667890, 4667720, 4667419]}))
        filter_list.update(dict(special_filter={'special_id': 1}))

        for name, filter_ in filter_list.items():

            print('{} ids : {}'.format(name, filter_.values()))
            print('result:', filter_service(
                offset=0, size=10, sort_type=SERVICE_ORDER_TYPE.DEFAULT,
                filters=filter_
            ))
